<?xml version="1.0" encoding="shift_jis"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="8.00"
	Name="uITron4"
	ProjectGUID="{2E896742-65E5-4CF6-A9C9-C79980833741}"
	RootNamespace="uITron4"
	Keyword="Win32Proj"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="$(ProjectDir)bin\$(ConfigurationName)"
			IntermediateDirectory="$(ProjectDir)obj\$(ConfigurationName)"
			ConfigurationType="4"
			CharacterSet="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
				Description="copy srec and syms"
				CommandLine="wscript ..\tools\update.js $(ProjectDir)..\$(TargetName)Cfg\$(ConfigurationName)\$(TargetName)Cfg.srec cfg1_out.srec&#x0D;&#x0A;wscript ..\tools\update.js $(ProjectDir)..\$(TargetName)Cfg\$(ConfigurationName)\$(TargetName)Cfg.syms cfg1_out.syms"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\asp;..\asp\include;..\asp\kernel;..\asp\arch;..\asp\target\cq_starm_gcc;.\cq_starm;.\"
				PreprocessorDefinitions="WIN32;_DEBUG;_LIB;ALLFUNC;TOPPERS_ENABLE_TRACE"
				MinimalRebuild="true"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="4"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLibrarianTool"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="$(ProjectDir)bin\$(ConfigurationName)"
			IntermediateDirectory="$(ProjectDir)obj\$(ConfigurationName)"
			ConfigurationType="4"
			CharacterSet="1"
			WholeProgramOptimization="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
				Description="copy srec and syms"
				CommandLine="wscript ..\tools\update.js $(ProjectDir)..\$(TargetName)Cfg\$(ConfigurationName)\$(TargetName)Cfg.srec cfg1_out.srec&#x0D;&#x0A;wscript ..\tools\update.js $(ProjectDir)..\$(TargetName)Cfg\$(ConfigurationName)\$(TargetName)Cfg.syms cfg1_out.syms"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				AdditionalIncludeDirectories="..\asp;..\asp\include;..\asp\kernel;..\asp\arch;..\asp\target\cq_starm_gcc;.\cq_starm;.\"
				PreprocessorDefinitions="WIN32;NDEBUG;_LIB;ALLFUNC;TOPPERS_ENABLE_TRACE"
				RuntimeLibrary="2"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLibrarianTool"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="ソース ファイル"
			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
			>
			<File
				RelativePath="..\asp\kernel\alarm.c"
				>
			</File>
			<File
				RelativePath="..\asp\arch\arm_m_msvc\common\core_config.c"
				>
			</File>
			<File
				RelativePath=".\cq_starm\core_support.cpp"
				>
			</File>
			<File
				RelativePath="..\asp\arch\arm_m_msvc\common\core_timer.c"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\cyclic.c"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\dataqueue.c"
				>
			</File>
			<File
				RelativePath=".\DebugHeap.cpp"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\eventflag.c"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\exception.c"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\interrupt.c"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\kmem.c"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\mailbox.c"
				>
			</File>
			<File
				RelativePath="..\asp\arch\arm_m_msvc\common\makeoffset.c"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\mempfix.c"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\mempvar.c"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\pridataq.c"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\semaphore.c"
				>
			</File>
			<File
				RelativePath=".\cq_starm\SifCortexM3SCS.cpp"
				>
			</File>
			<File
				RelativePath=".\SIFLayer.cpp"
				>
			</File>
			<File
				RelativePath=".\cq_starm\SifSTM32.cpp"
				>
			</File>
			<File
				RelativePath=".\cq_starm\SifSTM32USART.cpp"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\startup.c"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\sys_manage.c"
				>
			</File>
			<File
				RelativePath="..\asp\target\cq_starm_gcc\target_config.c"
				>
			</File>
			<File
				RelativePath="..\asp\target\cq_starm_gcc\target_serial.c"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\task.c"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\task_except.c"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\task_manage.c"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\task_refer.c"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\task_sync.c"
				>
			</File>
			<File
				RelativePath="..\asp\library\test_lib.c"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\time_event.c"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\time_manage.c"
				>
			</File>
			<File
				RelativePath="..\asp\arch\logtrace\trace_config.c"
				>
			</File>
			<File
				RelativePath="..\asp\arch\logtrace\trace_dump.c"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\wait.c"
				>
			</File>
			<File
				RelativePath=".\WinKernel.cpp"
				>
			</File>
		</Filter>
		<Filter
			Name="ヘッダー ファイル"
			Filter="h;hpp;hxx;hm;inl;inc;xsd"
			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
			>
			<File
				RelativePath="..\asp\kernel\alarm.h"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\allfunc.h"
				>
			</File>
			<File
				RelativePath="..\asp\arch\arm_m_msvc\common\arm_m.h"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\check.h"
				>
			</File>
			<File
				RelativePath="..\asp\arch\arm_m_msvc\common\core_cfg1_out.h"
				>
			</File>
			<File
				RelativePath="..\asp\arch\arm_m_msvc\common\core_config.h"
				>
			</File>
			<File
				RelativePath="..\asp\arch\arm_m_msvc\common\core_insn.h"
				>
			</File>
			<File
				RelativePath="..\asp\arch\arm_m_msvc\common\core_kernel.h"
				>
			</File>
			<File
				RelativePath="..\asp\arch\arm_m_msvc\common\core_rename.h"
				>
			</File>
			<File
				RelativePath="..\asp\arch\arm_m_msvc\common\core_sil.h"
				>
			</File>
			<File
				RelativePath="..\asp\arch\arm_m_msvc\common\core_stddef.h"
				>
			</File>
			<File
				RelativePath="..\asp\arch\arm_m_msvc\common\core_test.h"
				>
			</File>
			<File
				RelativePath="..\asp\arch\arm_m_msvc\common\core_timer.h"
				>
			</File>
			<File
				RelativePath="..\asp\arch\arm_m_msvc\common\core_unrename.h"
				>
			</File>
			<File
				RelativePath="..\asp\target\cq_starm_gcc\cq_starm.h"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\cyclic.h"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\dataqueue.h"
				>
			</File>
			<File
				RelativePath=".\DebugHeap.h"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\eventflag.h"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\exception.h"
				>
			</File>
			<File
				RelativePath="..\asp\include\histogram.h"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\interrupt.h"
				>
			</File>
			<File
				RelativePath="..\asp\include\itron.h"
				>
			</File>
			<File
				RelativePath="..\asp\include\kernel.h"
				>
			</File>
			<File
				RelativePath="..\asp\arch\logtrace\kernel_fncode.h"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\kernel_impl.h"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\kernel_int.h"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\kernel_rename.h"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\kernel_unrename.h"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\kmem.h"
				>
			</File>
			<File
				RelativePath="..\asp\include\log_output.h"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\mailbox.h"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\mempfix.h"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\mempvar.h"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\pridataq.h"
				>
			</File>
			<File
				RelativePath="..\asp\include\queue.h"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\semaphore.h"
				>
			</File>
			<File
				RelativePath=".\cq_starm\SifCortexM3SCS.h"
				>
			</File>
			<File
				RelativePath=".\SIFLayer.h"
				>
			</File>
			<File
				RelativePath=".\cq_starm\SifSTM32.h"
				>
			</File>
			<File
				RelativePath=".\cq_starm\SifSTM32USART.h"
				>
			</File>
			<File
				RelativePath="..\asp\include\sil.h"
				>
			</File>
			<File
				RelativePath=".\StdAfx.h"
				>
			</File>
			<File
				RelativePath=".\cq_starm\STM32EXTI.h"
				>
			</File>
			<File
				RelativePath=".\cq_starm\STM32Reg.h"
				>
			</File>
			<File
				RelativePath=".\cq_starm\STM32TIM.h"
				>
			</File>
			<File
				RelativePath=".\cq_starm\STM32USART.h"
				>
			</File>
			<File
				RelativePath=".\cq_starm\STM32USB.h"
				>
			</File>
			<File
				RelativePath="..\asp\include\t_stddef.h"
				>
			</File>
			<File
				RelativePath="..\asp\include\t_stdlib.h"
				>
			</File>
			<File
				RelativePath="..\asp\include\t_syslog.h"
				>
			</File>
			<File
				RelativePath="..\asp\target\cq_starm_gcc\target_cfg1_out.h"
				>
			</File>
			<File
				RelativePath="..\asp\target\cq_starm_gcc\target_config.h"
				>
			</File>
			<File
				RelativePath="..\asp\target\cq_starm_gcc\target_kernel.h"
				>
			</File>
			<File
				RelativePath="..\asp\target\cq_starm_gcc\target_rename.h"
				>
			</File>
			<File
				RelativePath="..\asp\target\cq_starm_gcc\target_serial.h"
				>
			</File>
			<File
				RelativePath="..\asp\target\cq_starm_gcc\target_sil.h"
				>
			</File>
			<File
				RelativePath="..\asp\target\cq_starm_gcc\target_stddef.h"
				>
			</File>
			<File
				RelativePath="..\asp\target\cq_starm_gcc\target_syssvc.h"
				>
			</File>
			<File
				RelativePath="..\asp\target\cq_starm_gcc\target_test.h"
				>
			</File>
			<File
				RelativePath="..\asp\target\cq_starm_gcc\target_timer.h"
				>
			</File>
			<File
				RelativePath="..\asp\target\cq_starm_gcc\target_unrename.h"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\task.h"
				>
			</File>
			<File
				RelativePath="..\asp\include\test_lib.h"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\time_event.h"
				>
			</File>
			<File
				RelativePath="..\asp\arch\msvc\tool_stddef.h"
				>
			</File>
			<File
				RelativePath="..\asp\arch\logtrace\trace_config.h"
				>
			</File>
			<File
				RelativePath="..\asp\kernel\wait.h"
				>
			</File>
			<File
				RelativePath=".\WinKernel.h"
				>
			</File>
		</Filter>
		<Filter
			Name="リソース ファイル"
			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
			>
		</Filter>
		<File
			RelativePath=".\dummy.cfg"
			>
			<FileConfiguration
				Name="Debug|Win32"
				>
				<Tool
					Name="VCCustomBuildTool"
					Description="toppers configuration pass 2"
					CommandLine="..\asp\cfg\cfg\cfg.exe --pass 2 --kernel asp --api-table ..\asp\kernel\kernel_api.csv --cfg1-def-table ..\asp\kernel\kernel_def.csv --cfg1-def-table ..\asp\arch\arm_m_msvc\common\core_def.csv --cfg1-def-table ..\asp\target\cq_starm_gcc\target_def.csv -I ..\asp -I ..\asp\arch -I ..\asp\arch\arm_m_msvc\common -I ..\asp\include -I ..\asp\kernel -I ..\asp\target\cq_starm_gcc --template-file ..\asp\target\cq_starm_gcc\target_msvc.tf &quot;$(InputPath)&quot;"
					AdditionalDependencies="cfg1_out.srec;cfg1_out.syms"
					Outputs="kernel_cfg.c;kernel_cfg.h"
				/>
			</FileConfiguration>
			<FileConfiguration
				Name="Release|Win32"
				ExcludedFromBuild="true"
				>
				<Tool
					Name="VCCustomBuildTool"
					Description="toppers configuration pass 2"
					CommandLine="..\asp\cfg\cfg\cfg.exe --pass 2 --kernel asp --api-table ..\asp\kernel\kernel_api.csv --cfg1-def-table ..\asp\kernel\kernel_def.csv --cfg1-def-table ..\asp\arch\arm_m_msvc\common\core_def.csv --cfg1-def-table ..\asp\target\cq_starm_gcc\target_def.csv -I ..\asp -I ..\asp\arch -I ..\asp\arch\arm_m_msvc\common -I ..\asp\include -I ..\asp\kernel -I ..\asp\target\cq_starm_gcc --template-file ..\asp\target\cq_starm_gcc\target_msvc.tf &quot;$(InputPath)&quot;"
					AdditionalDependencies="cfg1_out.srec;cfg1_out.syms"
					Outputs="kernel_cfg.c;kernel_cfg.h"
				/>
			</FileConfiguration>
		</File>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
